Page MenuHomeVyOS Platform

After migration to pyroute2 the address DHCP statement is no longer covered
Closed, ResolvedPublicFEATURE REQUEST

Description

It just came to my mind when moving to pyroute2 the DHCP/DHCPv6 options have not been converted to pyroute2 or any other mechanism.

A glance look at pyroute2 shows they have some initial support
https://docs.pyroute2.org/dhcp.html

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close

Related Objects

Event Timeline

c-po triaged this task as High priority.Aug 27 2019, 10:56 AM
c-po created this task.
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
c-po closed this task as Resolved.Aug 28 2019, 8:58 AM
c-po claimed this task.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:06 PM